<?php

namespace xenarabia\hesn;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;
class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;


	public function installStep1(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xf_hesn_cat', function(\XF\Db\Schema\Create $table)
		{
			$table->addColumn('hesn_id', 'int')->autoIncrement();
			$table->addColumn('hesn_cat_title', 'varchar', 255);
			$table->addColumn('hesn_cat_link', 'varchar', 255);
			$table->addColumn('hesn_cat_audio', 'varchar', 255);
			$table->addColumn('hesn_cat_view', 'int')->setDefault(0);
		});
	}

	public function installStep2(array $stepParams = [])
	{
		require_once('CatSetup.php');
	}

	public function installStep3(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xf_hesn_sup', function(\XF\Db\Schema\Create $table)
		{
			$table->addColumn('hesn_sup_id', 'int')->autoIncrement();
			$table->addColumn('hesn_cat_id', 'int')->setDefault(0);
			$table->addColumn('hesn_sup_text', 'longtext');
			$table->addColumn('hesn_sup_audio', 'varchar', 255);
		});
	}


	public function installStep4(array $stepParams = [])
	{
		require_once('ScriptTextSetup.php');
	}


	public function installStep5(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xf_hesn_fav', function(\XF\Db\Schema\Create $table)
		{
			$table->addColumn('hesn_fav_id', 'int')->autoIncrement();
			$table->addColumn('hesn_cat_id', 'int')->setDefault(0);
			$table->addColumn('user_id', 'int')->setDefault(0);
		});
	}
	

	public function installStep6(array $stepParams = [])
	{
		$this->createWidget(

            'H_hesnRandom',
            'H_hesnRandom',
            [
                'positions' => [
                    'forum_list_sidebar' => 100
                ]
            ]

		);
	}

	public function uninstall(array $stepParams = [])
	{	
		$this->schemaManager()->dropTable('xf_hesn_cat');		
		$this->schemaManager()->dropTable('xf_hesn_sup');		
		$this->schemaManager()->dropTable('xf_hesn_fav');		
		$this->deleteWidget('H_hesnRandom');
	}
}