<?php

namespace xenarabia\hesn\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class HesnCat extends Entity
{
	 
	public function getFavCat()
	{
		$visitor = \XF::visitor();
		$finder = \XF::finder('xenarabia\hesn\XF:HesnFav')
		->where('hesn_cat_id', $this->hesn_id)
		->where('user_id', $visitor->user_id);
		if ($finder->total() > 0)
		{
			return true;
			// \XF::dump($finder->fetch());
		}
	}

	public function getFavId()
	{
		$visitor = \XF::visitor();
		$finder = \XF::finder('xenarabia\hesn\XF:HesnFav')
		->where('hesn_cat_id', $this->hesn_id)
		->where('user_id', $visitor->user_id)->fetchOne();
		return $finder;
	}
	
	public static function getStructure(Structure $structure)
	{
		$options = \XF::options();
		$structure->table = 'xf_hesn_cat';
		$structure->shortName = 'xenarabia\hesn\XF:HesnCat';
		$structure->primaryKey = 'hesn_id';
		$structure->columns = [
			'hesn_id' => ['type' => self::UINT, 'autoIncrement' => true],				
			'hesn_cat_title' => ['type' => self::STR ],	
			'hesn_cat_link' => ['type' => self::STR ],	
            'hesn_cat_audio' => ['type' => self::STR ],	
            'hesn_cat_view' => ['type' => self::UINT]
		];
		$structure->getters = [];
		$structure->relations = [
			'HesnSup' => [
				'entity' => 'xenarabia\hesn\XF:HesnSup',
				'type' => self::TO_ONE,
				'conditions' => [['hesn_sup_id', '=', '$hesn_id']],
				'primary' => true
			],
			'HesnFavs' => [
				'entity' => 'xenarabia\hesn\XF:HesnFav',
				'type' => self::TO_ONE,
				'conditions' => [['hesn_cat_id', '=', '$hesn_id']],
				'primary' => true
			]
		];
		
		
		return $structure;
    }
    
}