<?php

namespace xenarabia\hesn\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class HesnFav extends Entity
{
	 
	
	public static function getStructure(Structure $structure)
	{
		$options = \XF::options();
		$structure->table = 'xf_hesn_fav';
		$structure->shortName = 'xenarabia\hesn\XF:HesnFav';
		$structure->primaryKey = 'hesn_fav_id';
		$structure->columns = [
			'hesn_fav_id' => ['type' => self::UINT, 'autoIncrement' => true],				
			'hesn_cat_id' => ['type' => self::UINT ],	
			'user_id' => ['type' => self::UINT ]
		];
		$structure->getters = [];
		$structure->relations = [
			'HesnCat' => [
				'entity' => 'xenarabia\hesn\XF:HesnCat',
				'type' => self::TO_ONE,
				'conditions' => [['hesn_id', '=', '$hesn_cat_id']],
				'primary' => true
            ],
            'Users' => [
				'entity' => 'XF:User',
				'type' => self::TO_ONE,
				'conditions' => [['user_id', '=', '$user_id']],
				'primary' => true
			]
		];
		
		
		return $structure;
    }
    
}