<?php

namespace xenarabia\hesn\XF\Pub\Controller;

use XF\Mvc\ParameterBag;
use XF\Pub\Controller\AbstractController;
use Zend\Validator\File\Exists;

class HesnIndex extends AbstractController
{
    public function actionIndex(ParameterBag $params)
    {
        $option = \XF::options();
        if ($option->hesn_act == 2) {
            throw $this->exception($this->noPermission());
        }
        $page = $this->filterPage($params->page);
        $perPage = $option->hesn_num_of_cats;

        $finder = \XF::finder('xenarabia\hesn\XF:HesnCat')->limitByPage($page, $perPage);
        $viewParams = [
            'cats' => $finder->with('HesnFavs')->order('hesn_id', 'ASC')->fetch(),
            'total' => $finder->total(),
            'page' => $page,
            'perPage' => $perPage,
        ];
        return $this->view('xenarabia\hesn\XF:view', 'hesn_index', $viewParams);
    }

    public function actionSection(ParameterBag $params)
    {
        $db = \XF::db();
        $option = \XF::options();
        $hesn_id = $params['hesn_id'];
        if ($option->hesn_act == 2) {
            throw $this->exception($this->noPermission());
        }
        $sups = \XF::finder('xenarabia\hesn\XF:HesnSup')->where('hesn_cat_id', $hesn_id)->fetch();
        $HesnCat = \XF::finder('xenarabia\hesn\XF:HesnCat')->where('hesn_id', $hesn_id)->fetchOne();
        $db->update(
            'xf_hesn_cat',
            ['hesn_cat_view' => $HesnCat->hesn_cat_view + 1],
            'hesn_id = ?',
            $hesn_id
        );
        // \XF::dump($HesnCat->hesn_cat_title);
        $viewParams = [
            'sups' => $sups,
            'CatName' => $HesnCat->hesn_cat_title,
        ];

        return $this->view('xenarabia\hesn\XF:view_sup', 'hesn_sup', $viewParams);
    }

    public function actionAddtofav(ParameterBag $params)
    {
        $db = \XF::db();
        $visitor = \XF::visitor();
        $hesn_id = $params['hesn_id'];
        $status = $params['status'];
        $cat_id = $params['cat_id'];
        $user_id = $visitor->user_id;
            $addToFav = $this->em()->create('xenarabia\hesn\XF:HesnFav');
            $addToFav->hesn_cat_id = $hesn_id;
            $addToFav->user_id = $user_id;
            $addToFav->save();
            $status = 'on';
            

        $redirect = $this->redirect($this->buildLink('hesn/'), \XF::phrase('cat_has_been_saved'));
        // $view->setJsonParam('addToFav', $comment->date);
        return $redirect;
    }
}
